## org.codehaus.groovy.grails.plugins.web.filters
Class Loader

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.filters.Loader

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class Loader

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`Loader(Object filtersDefinition)`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`Object` `getFilters()`
`Object` `getFiltersDefinition()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`Object` `invokeMethod(String method, Object arguments)`
`Object` `methodMissing(String methodName, Object args)`
`void` `setFilters(Object value)`
`void` `setFiltersDefinition(Object value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Loader

    public Loader(Object filtersDefinition)

Method Detail

### getFiltersDefinition

    public Object getFiltersDefinition()

### setFiltersDefinition

    public void setFiltersDefinition(Object value)

### getFilters

    public Object getFilters()

### setFilters

    public void setFilters(Object value)

### methodMissing

    public Object methodMissing(String methodName,
                                Object args)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project